Subject: Re: [PATCH 2/3] help: Add '--follow-alias' option

From: 김남형 <[email-masked]>
Date: Thu, 15 Mar 2012 15:15:23 +0900

2012-03-15 3:00 PM, Junio C Hamano wrote:
> Namhyung Kim<[email-masked]>  writes:
>
>> The --follow-alias option will look up the alias definitions and
>> use the first word as a command. For example, if I set my aliases
>> as follows:
>>
>>   $ git help br
>>   `git br' is aliased to `git branch'
>>   $ git help ru
>>   `git ru' is aliased to `git remote update'
>>
>> adding --follow-alias (or -f) option will show man pages of
>> git-branch and git-remote, respectively.
>
> What would happen when somebody has this?
>
> 	[alias]
>          	br = branch --list
>
> 	$ git help --follow-alias br
> 	... man page for git-branch is shown ...
>
> NAK.
>

I'm sorry I don't understand what you meant by this. What should be happened 
for this?

>> +-f::
>> +--follow-alias::
>> +	Read alias definitions and use its first word as a command name
>> +	(if any).
>
> Also, please do not let a potentially ill-conceived option to squat on a
> short and sweet single letter option name, until it proves to be useful.
>

OK, will be careful next time.

Thanks,
Namhyung